%global mod_name credentials-plugin
%global short_name credentials
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/%{short_name}.jpi

Name:           jenkins-credentials-plugin
Version:        1.22
Release:        1%{?dist}
Summary:        Jenkins Credentials Plugin

License:        MIT
URL:            https://github.com/jenkinsci/credentials-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(com.google.code.findbugs:jsr305)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(net.jcip:jcip-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.jenkins-ci.tools:maven-hpi-plugin)
BuildRequires:  mvn(org.mockito:mockito-core)
BuildRequires:  mvn(org.acegisecurity:acegi-security)

BuildArch:      noarch

%description
This package provides Jenkins credentials plugin.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

%pom_remove_dep :findbugs-annotations
%pom_remove_plugin :findbugs-maven-plugin

%mvn_package ::hpi: __noinstall
%mvn_file ::jar:: %{name}/%{short_name} %{plugin_home}/WEB-INF/lib/%{short_name}

%build
# missing package org.jvnet.hudson.test
%mvn_build -f

%install
# unpack hpi file into the correct location
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d %{buildroot}/%{plugin_home} target/%{short_name}.hpi
rm %{buildroot}/%{plugin_home}/WEB-INF/lib/%{short_name}.jar
xmvn-subst %{buildroot}/%{plugin_home}/WEB-INF/lib/

%mvn_install
sed -i 's|%{plugin_home}/WEB-INF/lib/%{short_name}.jar||' .mfiles

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_mavenpomdir}/%{name}
%{plugin_home}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Mon Feb 02 2015 Michal Srb <msrb@redhat.com> - 1.22-1
- Update to upstream version 1.22

* Tue Nov 18 2014 Michal Srb <msrb@redhat.com> - 1.18-2
- Rebuild to fix plugin dependencies

* Mon Oct 27 2014 Michal Srb <msrb@redhat.com> - 1.18-1
- Update to upstream version 1.18

* Mon Oct 13 2014 Michal Srb <msrb@redhat.com> - 1.10-5
- This is a core plugin, move it to the correct location

* Fri Oct 03 2014 Michal Srb <msrb@redhat.com> - 1.10-4
- Install as Jenkins plugin

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 01 2014 Michal Srb <msrb@redhat.com> - 1.10-2
- Remove unneeded patch

* Thu Mar 20 2014 Michal Srb <msrb@redhat.com> - 1.10-1
- Update to upstream version 1.10

* Fri Nov 29 2013 Michal Srb <msrb@redhat.com> - 1.9.3-1
- Initial packaging

